summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov2011-09-04 18:12:39 +0200
committer Niels Horn2011-09-04 18:12:39 +0200
commita42442c7f8a27af3cc588bc8a9b12a685505f619 (patch)
treedc5331ca323d73ece8315d7fdfca43d919fa8629 /academic
parentf82ed85b019ac2ef2166beaf031a2d32947f3011 (diff)
downloadslackbuilds-a42442c7f8a27af3cc588bc8a9b12a685505f619.tar.gz
academic/plasmidomics: Added (Plasmid Drawing Program)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/plasmidomics/README2
-rw-r--r--academic/plasmidomics/doinst.sh3
-rw-r--r--academic/plasmidomics/plasmidomics.SlackBuild49
-rw-r--r--academic/plasmidomics/plasmidomics.desktop7
-rw-r--r--academic/plasmidomics/plasmidomics.info10
-rw-r--r--academic/plasmidomics/plasmidomics.pngbin0 -> 3861 bytes
-rw-r--r--academic/plasmidomics/slack-desc19
7 files changed, 90 insertions, 0 deletions
diff --git a/academic/plasmidomics/README b/academic/plasmidomics/README
new file mode 100644
index 0000000000..49ac75780f
--- /dev/null
+++ b/academic/plasmidomics/README
@@ -0,0 +1,2 @@
+Plasmidomics is an open source program for easy drawing of plasmids
+and vector maps with high-quality graphics export.
diff --git a/academic/plasmidomics/doinst.sh b/academic/plasmidomics/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/academic/plasmidomics/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/academic/plasmidomics/plasmidomics.SlackBuild b/academic/plasmidomics/plasmidomics.SlackBuild
new file mode 100644
index 0000000000..a553c5b93b
--- /dev/null
+++ b/academic/plasmidomics/plasmidomics.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for plasmidomics
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=plasmidomics
+VERSION=${VERSION:-0.2}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+install -D -m755 plasmid $PKG/usr/bin/plasmidomics
+
+# Menu item and icon
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYRIGHT README \
+ $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/plasmidomics/plasmidomics.desktop b/academic/plasmidomics/plasmidomics.desktop
new file mode 100644
index 0000000000..74ede845f3
--- /dev/null
+++ b/academic/plasmidomics/plasmidomics.desktop
@@ -0,0 +1,7 @@
+[Desktop Entry]
+Categories=Education;
+Exec=plasmidomics
+Icon=plasmidomics.png
+Name=Plasmidomics
+StartupNotify=false
+Type=Application
diff --git a/academic/plasmidomics/plasmidomics.info b/academic/plasmidomics/plasmidomics.info
new file mode 100644
index 0000000000..07b855ab6e
--- /dev/null
+++ b/academic/plasmidomics/plasmidomics.info
@@ -0,0 +1,10 @@
+PRGNAM="plasmidomics"
+VERSION="0.2"
+HOMEPAGE="http://www.bioprocess.org/plasmid"
+DOWNLOAD="http://www.bioprocess.org/plasmid/plasmidomics-0.2.tar.bz2"
+MD5SUM="72fdeb78943ed274f3a738da6afca5ef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/academic/plasmidomics/plasmidomics.png b/academic/plasmidomics/plasmidomics.png
new file mode 100644
index 0000000000..1b3aa028a2
--- /dev/null
+++ b/academic/plasmidomics/plasmidomics.png
Binary files differ
diff --git a/academic/plasmidomics/slack-desc b/academic/plasmidomics/slack-desc
new file mode 100644
index 0000000000..21403420df
--- /dev/null
+++ b/academic/plasmidomics/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+plasmidomics: plasmidomics (Plasmid Drawing Program)
+plasmidomics:
+plasmidomics: Plasmidomics is an open source program for easy drawing of plasmids
+plasmidomics: and vector maps with high-quality graphics export.
+plasmidomics:
+plasmidomics:
+plasmidomics:
+plasmidomics:
+plasmidomics:
+plasmidomics:
+plasmidomics: Home: http://www.bioprocess.org/plasmid